<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns="http://www.w3.org/TR/REC-html40">
	<xsl:output method="html" indent="yes"/>
	
	<xsl:key name="fee-by-author" match="fee" use="../author"/>
	
	<xsl:template match="payment-list">
		<html>
			<body>
				<xsl:for-each select="line[not(author = preceding-sibling::line/author)]" >
					<xsl:variable name="author" select="author" />
					<xsl:variable name="fee" select="key('fee-by-author',$author)"/>
					<xsl:text>
					</xsl:text>
					<xsl:value-of select="$author" /> : <xsl:value-of select="format-number(sum($fee), '#.00')"/>
				</xsl:for-each>
			</body>
		</html>
	</xsl:template>
  
</xsl:stylesheet>
