<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns="http://www.w3.org/TR/REC-html40">

<xsl:output indent="yes"/>


<xsl:template match="text()"/>

<xsl:template match="/">
	<html>
		<body>
			<xsl:apply-templates select="catalog/book-list">
			</xsl:apply-templates>
		</body>
	</html>
</xsl:template>

<xsl:template match="book">
	<table border="1" width="100%" cellspacing="0">
		<tr>
			<xsl:apply-templates />
		</tr>
	</table>
</xsl:template>

<xsl:template match="title">
	<td BGCOLOR="#EFEFED"><xsl:value-of select="text()"/></td>
</xsl:template>

<xsl:template match="publisher-ref|isbn">
	<td><xsl:value-of select="text()"/></td>
</xsl:template>


</xsl:stylesheet>
